Bug 196749 - (php-pecl-xdebug) Review Request: php-pecl-xdebug - PECL package for debugging PHP scripts
Review Request: php-pecl-xdebug - PECL package for debugging PHP scripts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-PHPUnit3 php-pear-PHPUnit2
  Show dependency treegraph
 
Reported: 2006-06-26 17:15 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 16:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-26 17:15:11 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug-2.0.0-beta5.1.src.rpm

Description:
The Xdebug extension helps you debugging your script by providing a lot
of valuable debug information.
Comment 1 Christopher Stone 2006-06-30 17:02:23 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug-2.0.0-beta6.1.src.rpm

%changelog
* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 2.0.0-beta6.1
- Update to beta6
Comment 2 Jason Tibbitts 2006-08-10 21:00:56 EDT
Let's try to make some forward progress here, since this is blocking a whole
pile of PHP modules.
Comment 3 Jason Tibbitts 2006-08-11 00:49:41 EDT
This builds fine; rpmlint just has this to say:

W: php-pecl-xdebug setup-not-quiet

which is no big deal but it's true that there's little point in showing the full
tar output when unpacking the source.  Pass "-q" to %setup to quiet both tar and
rpmlint.

We settled on the following macro definitions:
%global php_apiver  %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p')
| tail -1)
%global php_extdir  %(php-config --extension-dir 2>/dev/null || echo "undefined")
can you switch things over to using those?

I'm not sure it's a good idea to require a minimum php-api; you'd almost
certainly require a rebuild if the API changes, so wouldn't you need to require
a specific php-api?  Also, there's not much point in requiring a specific PHP
version as even FC1 had PHP 4.3.4; you have to go back to RH9 to find something
older.

Other than those bits, everything looks pretty good.
Comment 4 Christopher Stone 2006-09-03 01:09:52 EDT
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug.spec
SRPM:
http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug-2.0.0-beta6.2.src.rpm

%changelog
* Sat Sep 02 2006 Christopher Stone <chris.stone@gmail.com> 2.0.0-beta6.2
- Add -q to %%setup
- Update macro definitions to new standard
- Require specific api version
- Remove requires on php version
- Removed macros for system commands

Comment 5 Jason Tibbitts 2006-09-06 13:00:37 EDT
Unfortunately I've found one blocker and a couple more minor issues while
running through my checklist.

Your Release: violates the naming guidelines.  The full NEVR should be:

php-pecl-xdebug-2.0.0-0.1.beta6

Then you can increment the "1" for each package update until the actual 2.0.0
release comes out, at which time you can use 2.0.0-1.  See "Pre-Release
packages" in http://fedoraproject.org/wiki/Packaging/NamingGuidelines

Also, we removed the requirement for Provides: php-xdebug from the guideline
draft, so you should be able to remove it unless you have some reason to keep it in.

The debuginfo package don't seem to contain the source.  I'm not really sure
why; debuginfo generation remains a mystery to most.  It does seem to contain
plenty of debug symbols, though, and this isn't a blocker in any case.


* source files match upstream:
   1ba82711d8f91c38c4b30a396cc2e72a  xdebug-2.0.0beta6.tgz
X package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
? debuginfo package looks complete.
* rpmlint is silent.
? final provides and requires are sane:
   config(php-pecl-xdebug) = 2.0.0-beta6.2.fc6
   php-pecl(Xdebug) = 2.0.0-beta6.2.fc6
?  php-xdebug = 2.0.0-beta6.2.fc6
   xdebug.so()(64bit)
   php-pecl-xdebug = 2.0.0-beta6.2.fc6
  =
   config(php-pecl-xdebug) = 2.0.0-beta6.2.fc6
   php-api = 20041225
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
Comment 6 Christopher Stone 2006-09-06 14:21:19 EDT
SPEC: http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug.spec
SRPM:
http://tkmame.retrogames.com/fedora-extras/php-pecl-xdebug-2.0.0-0.1.beta6.src.rpm

%changelog
* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 2.0.0-0.1.beta6
- Remove Provides php-xdebug
- Fix Release
- Remove prior changelog due to Release number change
Comment 7 Jason Tibbitts 2006-09-06 14:59:18 EDT
Looks good to me now.

APPROVED
Comment 8 Christopher Stone 2007-05-10 17:34:44 EDT
Package Change Request
======================
Package Name: php-pecl-xdebug
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.